﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLRCUS]') AND name = N'key1')
BEGIN 
PRINT 'Creating index key1 on table DLRCUS'
CREATE UNIQUE NONCLUSTERED INDEX [key1] ON [dbo].[DLRCUS] 
(
	[RTI] ASC,
	[DATE1] ASC,
	[TILL] ASC,
	[TRAN] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLRCUS' AND COLUMN_NAME = 'OVAL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLRCUS_OVAL')
BEGIN 
    PRINT 'Creating default constraint DF_DLRCUS_OVAL on table DLRCUS' 
    ALTER TABLE [dbo].[DLRCUS]
    ADD CONSTRAINT [DF_DLRCUS_OVAL] DEFAULT ((0)) FOR [OVAL]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLRCUS' AND COLUMN_NAME = 'LABL' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLRCUS_LABL')
BEGIN 
    PRINT 'Creating default constraint DF_DLRCUS_LABL on table DLRCUS' 
    ALTER TABLE [dbo].[DLRCUS]
    ADD CONSTRAINT [DF_DLRCUS_LABL] DEFAULT ((0)) FOR [LABL]
END 
GO

